#!/bin/sh
VERSION="V 1.3b"
if [ ! -s /var/tuxbox/config/remote_timer.conf ]; then
	msgbox size=32 refresh=2 select=" IP Einstellung... ,EXIT" title="Willkommen im Remote-Timer-Plugin" msg="~cEs ist noch keine IP-Adresse f~ur die Remote-Box eingestellt.~n~n~cDies ist aber f~ur die Funktion des Plugins notwendig.~n~s~n~cPlugin-Version:  $VERSION"
	if [ $? = 1 ]; then
		IP_BOX2=`ifconfig | sed -n 's/^.*inet addr\://p' | sed -n 1p | cut -d" " -f1`
		echo "IP_BOX2=${IP_BOX2:-192.168.0.55}\nLOGIN=\"\"\nVORSCHAU=2\nEPGMAX=50\nSCRIPT_TIMEOUT=30\nBOXMAX=3\nFARBE_CH=G\nFARBE_EPG=Y\nEPGINFO_S=29" > /var/tuxbox/config/remote_timer.conf
		/var/plugins/remote_timer.sh SETUP IP_NEU START
		[ ! -s /var/tuxbox/config/remote_timer.conf ] && exit 1
	else
		exit 0
	fi
	[ ${2:-""} = "IP_NEU" ] && exit 0
fi
. /var/tuxbox/config/remote_timer.conf
if [ -s /var/tuxbox/config/remote_box.conf ]; then
	BOX2_NAME=`sed -n '/grep -q ='$IP_BOX2'$ /p' /var/tuxbox/config/remote_box.conf | sed -n 1p | cut -d, -f1 | cut -b 15-`
fi
BOX2_NAME=${BOX2_NAME:-"Remote-Box  $IP_BOX2"}
FARBE_CH=${FARBE_CH:-G}
FARBE_EPG=${FARBE_EPG:-Y}
EPGINFO_S=${EPGINFO_S:-29}
kill_script() {
	kill $$
	echo "Timeout von $SCRIPT_TIMEOUT Sekunden ueberschritten!\n"
	msgbox size=32 timeout=7 refresh=2 title="Remote-Timer Info" popup="~cFehler: Timeout von $SCRIPT_TIMEOUT Sekunden ~uberschritten !!!" &
	rm /tmp/tmp_rtp_*
	exit 1;
}
timeOut() {
	sleep $SCRIPT_TIMEOUT && kill_script &
}
timer_setzen() {
	if [ ! -s /tmp/remote_timer_chlist ]; then
		timeOut
		wget -q -Y off -O /tmp/remote_timer_chlist "http://$LOGIN$IP_BOX2/control/channellist"
		kill $!
	fi
	if [ -s /tmp/remote_timer_chlist ]; then
		if [ ! -s $TIMER_KOPIE ]; then
			channel_id=`sed -n 's/^\([0-9a-f]\+\) '"$CH_NAME"'$/\1/p' /tmp/remote_timer_chlist | sed -n '1p'`
			timer_string=$T_KOPIE$channel_id
			if [ -s $channel_id ]; then
				msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Dieser Sender ist auf der Ziel-Box~n~claut ihrer Senderliste nicht empfangbar.~n~s~n~cZiel-Box:  $BOX2_NAME"
				rm /tmp/remote_timer_chlist*
				rm /tmp/tmp_rtp_*; exit 0
			fi
		fi
		grep -q "^$channel_id " /tmp/remote_timer_chlist
		if [ $? = 1 ]; then
			rm /tmp/remote_timer_chlist*
			msgbox size=32 absolute=1 select=" Timer setzen ,EXIT" title="Remote-Timer Info" msg="~cFehler:  Dieser Sender ist auf der Remote-Box~n~claut ihrer Senderliste nicht empfangbar.~n~n~cSoll dieser Timer trotzdem gesetzt werden ?~n~s~n~c$BOX2_NAME"
			if [ $? != 1 ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
		fi
		timeOut
		wget -q -Y off -O /tmp/tmp_rtp_info "http://$LOGIN$IP_BOX2/control/timer$timer_string"
		kill $!
		if [ -s /tmp/tmp_rtp_info ]; then
			if [ `cat /tmp/tmp_rtp_info` = "ok" ]; then
				if [ ! -s $TIMER_KOPIE ]; then
					msgbox size=31 absolute=1 select=" Timer l~oschen , Timer belassen " title="Aufnahme-Timer  Nr. $TIMER_NR" msg="~cDer gew~ahlte Timer wurde erfolgreich auf die Ziel-Box kopiert.~n~n~cSoll jetzt der urspr~ungliche Timer gel~oscht werden ?~n~s~n~cQuell-Box:  $QUELL_NAME~n~cZiel-Box:  $BOX2_NAME"
					[ $? = 1 ] && select_t=1
				else
					msgbox size=32 title="Remote-Timer Info" popup="~cDer Timer wurde ${TIMER_INFO:-gesetzt} !!!~n~s~n~c$BOX2_NAME"
					TIMER_R=1
				fi
			else
				msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Die ${BOX_KOPIE:-Remote}-Box antwortet mit ERROR !!!~n~n~cDer Timer konnte nicht ${TIMER_INFO:-gesetzt} werden.~n~s~n~c$BOX2_NAME"
			fi
		else
			INFO="KEIN_ANTWORT"
		fi
	else
		INFO="KEIN_ANTWORT"
	fi
	if [ ${INFO:-""} = "KEIN_ANTWORT" ]; then
		[ -e /tmp/remote_timer_chlist ] && rm /tmp/remote_timer_chlist
		msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Die ${BOX_KOPIE:-Remote}-Box antwortet nicht !!!~n~n~cDer Timer konnte nicht ${TIMER_INFO:-gesetzt} werden.~n~s~n~c$BOX2_NAME"
	fi
}
timer_option() {
	DEFAULT=`echo $rep | sed '{s/256/7/;y/543210/654321/}'`
	msgbox size=30 absolute=1 default=$DEFAULT order=1 select="einmal,t~aglich,w~ochentlich,2-w~ochentlich,4-w~ochentlich,monatlich,  Wochentage...  " title="Aufnahme-Timer" msg="~cBitte Option ausw~ahlen."
	rep=`echo $? | sed '{s/0//;y/123456/012345/;s/7/256/}'`
	if [ -n "$rep" ]; then
		if [ $rep = 256 ]; then
			timer_wtag() {
				TIMER_WD=$(input c=12 l='#-Montag    #-Dienstag  #-Mittwoch  #-Donnerstag#-Freitag   #-Samstag   #-Sonntag   1=EIN 0=AUS' t='Aufnahme-Timer  Wochentage' d=`echo $wd | sed 'y/-X/01/'`)
				if [ -n "$TIMER_WD" ]; then
					echo "$TIMER_WD" | grep -q '[0-1]\{7\}'
					if [ $? = 0 ]; then
						echo "$TIMER_WD" | grep -q '1'
						if [ $? = 0 ]; then
							wd=`echo $TIMER_WD | sed -n 'y/01/-X/p'`
						else
							msgbox size=32 absolute=1 select=" Neue Eingabe... ,EXIT" title="Remote-Timer Info" msg="~cBitte einen Wochentag ausw~ahlen."
							if [ $? = 1 ]; then
								timer_wtag
							else
								rm /tmp/tmp_rtp_*; exit 0
							fi
						fi
					else
						msgbox size=32 absolute=1 select=" Neue Eingabe... ,EXIT" title="Remote-Timer Info" msg="~cFehler bei der Eingabe !!!~n~s~n~cBitte alle Felder nur mit  0  oder  1  ausf~ullen."
						if [ $? = 1 ]; then
							timer_wtag
						else
							rm /tmp/tmp_rtp_*; exit 0
						fi
					fi
				else
					rm /tmp/tmp_rtp_*; exit 0
				fi
			}
			timer_wtag
		fi
		if [ $rep != 0 ]; then
			TIMER_COUNT=$(input c=16 l='Wiederholung ###  0=unbegrenzt' t='Aufnahme-Timer wiederholen' d=$repcount)
			if [ -n "$TIMER_COUNT" ]; then
				repcount=`echo "$TIMER_COUNT" | sed -e '{s/ //g;s/^0*//;s/^$/0/}'`
			else
				rm /tmp/tmp_rtp_*; exit 0
			fi
		fi
	else
		rm /tmp/tmp_rtp_*; exit 0
	fi
}
epg_info() {
	if [ "$event_strg" != "" ]; then
		sleep 3 && killall -9 nhttpd &
		wget -q -Y off -O /tmp/tmp_rtp_epg http://localhost/fb/$event_strg
		kill $!
		[ -s /tmp/tmp_rtp_epg ] && info_epg="$(sed -n '/td/p' /tmp/tmp_rtp_epg | sed -e 's/<[^<>]*>//g' -e 's/^[	\ ]\+//' -e 's/$/ ~S/g' -e '1s/$/\n~s/' -e '1s/.\{20,65\} /&\n~Y/g' -e '2,$s/.\{20,65\} /&\n/g' | sed '/^[~Y]*~S$/d' | sed -e 's/^ *//g' -e '1s/^/~Y/')"
		info_epg1="$( echo "$info_epg" | sed -n '1,16p')~n~s"
		info_epg2="$( echo "$info_epg" | sed -n '17,32p')~n~s"
		echo "$info_epg2" | grep -q '.....'
		if [ $? = 0 ]; then
			SEITE_2="Seite  2" ; SEITEN="2"
			info_epg3="$( echo "$info_epg" | sed -n '33,48p')~n~s"
			info_epg4="$( echo "$info_epg" | sed -n '49,64p')~n~s"
			echo "$info_epg3" | grep -q '.....' && SEITE_3="Seite  3" && SEITEN="3"
			echo "$info_epg4" | grep -q '.....' && SEITE_4="Seite  4" && SEITEN="4"
		fi
	fi
	[ "$info_epg1" = "~n~s" -o "$info_epg1" = "" ] && info_epg1="~cKeine EPG-Information verf~ugbar."
	info_epg_S1() {
		msgbox size=$EPGINFO_S default=${TASTE_DEF:-1} absolute=1 select=" $TASTE_T ,${SEITE_2:-""},EXIT" title="EPG-Information  1/${SEITEN:-"1"}" msg="$info_epg1"
		select_t=$?
		if [ $select_t = 2 ]; then
			TASTE_DEF=2
			msgbox size=$EPGINFO_S default=2 absolute=1 select=" $TASTE_T ,${SEITE_3:-"Seite  1"},EXIT" title="EPG-Information  2/$SEITEN" msg="$info_epg2"
			select_t=$?
			if [ $select_t = 2 ]; then
				if [ "$SEITE_3" = "Seite  3" ]; then
					msgbox size=$EPGINFO_S default=2 absolute=1 select=" $TASTE_T ,${SEITE_4:-"Seite  1"},EXIT" title="EPG-Information  3/$SEITEN" msg="$info_epg3"
					select_t=$?
					if [ $select_t = 2 ]; then
						if [ "$SEITE_4" = "Seite  4" ]; then
							msgbox size=$EPGINFO_S default=2 absolute=1 select=" $TASTE_T ,Seite  1,EXIT" title="EPG-Information  4/$SEITEN" msg="$info_epg4"
							select_t=$?
							if [ $select_t = 2 ]; then
								info_epg_S1
							fi
						else
							info_epg_S1
						fi
					fi
				else
					info_epg_S1
				fi
			fi
		fi
	}
	info_epg_S1
	pidof nhttpd > /dev/null || nhttpd
}
wget -q -Y off -O /tmp/tmp_rtp_channel_id http://localhost/control/zapto
channel_id=`cat /tmp/tmp_rtp_channel_id`
wget -q -Y off -O /tmp/tmp_rtp_channellist http://localhost/control/channellist
case "$1" in
	"REC")
		wget -q -Y off -O /tmp/tmp_rtp_jetzt http://localhost/control/epg?ext
		wget -q -Y off -O /tmp/tmp_rtp_prog http://localhost/control/epg?$channel_id
		if [ -s /tmp/tmp_rtp_prog ]; then
			sendung=`sed -n '/^'$channel_id' /p' /tmp/tmp_rtp_jetzt | sed -n 1p`
			start=$(echo "$sendung" | cut -d" " -f2)
			ende1=$(expr "$start" + `echo "$sendung" | cut -d" " -f3`)
			if [ $2 = "JETZT" ]; then
				if [ ! -s $ende1 ]; then
					timer_string=?'action=new&type=5&alarm='$start'&stop='$ende1'&channel_id='$channel_id'&rs=1'
					timer_setzen
				else
					INFO="KEIN_EPG"
				fi
			fi
			if [ $2 = "NACH" ]; then
				sendung2=`sed -n '/ '$ende1' /p' /tmp/tmp_rtp_prog | sed -n '1p'`
				ende2=$(expr "$ende1" + `echo "$sendung2" | cut -d" " -f3`)
				if [ ! -s $ende2 ]; then
					timer_string=?'action=new&type=5&alarm='$ende1'&stop='$ende2'&channel_id='$channel_id'&rs=1'
					timer_setzen
				else
					INFO="KEIN_EPG"
				fi
			fi
		else
			INFO="KEIN_EPG"
		fi
		if [ ${INFO:-""} = "KEIN_EPG" ]; then
			[ $2 = "JETZT" ] && TASTE_REC=" Aufnahme starten... " && INFO_REC="Die Stopp-Zeit in Minuten muss manuell gew~ahlt werden"
			msgbox size=32 select="${TASTE_REC:-" Manueller Timer... "},EXIT" title="Remote-Timer Info" msg="~cFehler:  Es sind keine EPG-Daten vorhanden !!!~n~n~c${INFO_REC:-"Der Timer kann nur manuell gesetzt werden"}.~n~s~n~c$BOX2_NAME"
			if [ $? = 1 ]; then
				rm /tmp/tmp_rtp_*
				if [ $2 = "JETZT" ]; then
					/var/plugins/remote_timer.sh REMOTE TIMER_START
				else
					/var/plugins/remote_timer.sh MANUELL 0
				fi
				exit 0
			fi
		fi
	;;
	"EPG")
		#SEC_START=`date +%s`
		if [ -s $2 ]; then
			kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
		else	
			kanal=`sed -n 's/'$2' //p' /tmp/remote_channel.raw | sed -n 'y/,/ /p'`
			channel_id=$2; rm /tmp/remote_channel.raw
		fi
		[ -e /tmp/remote_epg.flx ] && rm /tmp/remote_*.flx
		wget -q -Y off -O /tmp/remote_epg.raw http://localhost/fb/epg.dbox2?eventlist=$channel_id
		echo "kanal=\"$kanal\"\nchannel_id=$channel_id" > /tmp/remote_kanal.flx
		echo "COMMENT=Stand:  `date +%d"."%m".  "%H:%M`  -  $kanal" > /tmp/remote_epg.flx
		if [ $(grep -c '$' /tmp/remote_epg.raw) -le "9" ]; then
			if pidof sectionsd > /dev/null; then
				if pidof nhttpd > /dev/null; then
					echo "COMMENT=\nCOMMENT=Fehler: Keine EPG-Daten vorhanden !!!" >> /tmp/remote_epg.flx
					if [ `cat /tmp/tmp_rtp_channel_id` != $channel_id ]; then
						echo "COMMENT=Um das Einlesen erneut zu versuchen  sollte\nCOMMENT=zuvor auf diesen Sender umgeschaltet werden." >> /tmp/remote_epg.flx
						echo "ACTION=Plugin beenden  >  Umschalten,\`wget -q -Y off -O /dev/null http://localhost/control/zapto?$channel_id;rm /tmp/remote_epg.flx\`" >> /tmp/remote_epg.flx
					else
						echo "COMMENT=Auf diesem Sender kann der Timer\nCOMMENT=nur manuell gesetzt werden." >> /tmp/remote_epg.flx
					fi
				else
					echo "COMMENT=Stand:  `date +%d"."%m"."%Y"  "%H:%M` Uhr\nCOMMENT=\nCOMMENT=Fehler: Der HTTP-Server ist nicht aktiv !!!\nCOMMENT=Soll dieser jetzt gestartet werden ?" > /tmp/remote_epg.flx
					echo "ACTION=&Neustart  >  EPG-Daten einlesen,nhttpd;sleep 4;/var/plugins/remote_timer.sh EPG" >> /tmp/remote_epg.flx
				fi
			else
				echo "COMMENT=Stand:  `date +%d"."%m"."%Y"  "%H:%M` Uhr\nCOMMENT=\nCOMMENT=Fehler:  Der EPG-Sectionsd ist nicht aktiv !!!" > /tmp/remote_epg.flx
				grep -q '^[	 ]*KILLEPG=1' /var/tuxbox/config/shellexec.conf
				if [ $? = 1 ]; then
					echo "COMMENT=Soll dieser jetzt neu gestartet werden ?" >> /tmp/remote_epg.flx
					echo "ACTION=Plugin beenden  >  Sectionsd starten,\`rm /tmp/remote_epg.flx;pidof sectionsd > /dev/null || sectionsd\`" >> /tmp/remote_epg.flx
				else
					msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Der EPG-Sectionsd ist nicht aktiv !!!~n~s~n~cZum Einlesen der EPG-Daten ist dieser aber notwendig.~n~cBei Deaktivierung in der FlexMen~u-Config durch~n~c'KILLEPG=1'  bitte die readme.txt lesen."
				fi
			fi
			echo "COMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=" >> /tmp/remote_epg.flx
			rm /tmp/remote_epg.raw
		else
			[ $VORSCHAU = "1" ] && sed = /tmp/remote_epg.raw | sed 'N;s/\n/ /' | sed -n /"[RA]><\/TD>"/p | sed -n 1,$(expr $EPGMAX \* 2)p | sed -e s/"<[^<>]*>"/"_"/g | sed 'N;s/\n//' | sed -n y/",'"/"  "/p | sed -e s/^"[0-9]* ____"/"ACTION=\&"/ | sed -e 's/&nbsp;.*nbsp;__\([0-9]*\) __\(.*\)__$/  \2,\/var\/plugins\/remote_timer.sh EPG_2 \1/' >> /tmp/remote_epg.flx
			[ $VORSCHAU = "2" ] && sed = /tmp/remote_epg.raw | sed 'N;s/\n/ /' | sed -n /"[RA]><\/TD>"/p | sed -n 1,$(expr $EPGMAX \* 2)p | sed -e s/"<[^<>]*>"/" "/g -e s/"[0-9]*     "/"COMMENT="/ -e s/"&nbsp;"/""/g | sed -n y/",'"/"  "/p | sed -e 's/^\([0-9]*\)   \(.*\)  $/ACTION=\&\2,\/var\/plugins\/remote_timer.sh EPG_2 \1/' -e 's/ *$//' -e 's/=&[*+-]/=\& /' >> /tmp/remote_epg.flx
			if [ $VORSCHAU -ge "3" ]; then
				sed = /tmp/remote_epg.raw | sed 'N;s/\n/ /' > /tmp/tmp_rtp_epg.raw
				wget -q -Y off -O /tmp/tmp_rtp_jetzt http://localhost/control/epg?ext
				sendung=`sed -n '/^'$channel_id' /p' /tmp/tmp_rtp_jetzt | sed -n 1p`
				start=$(echo "$sendung" | cut -d" " -f2)
				if [ ! -s $start ]; then
					jetzt_zeile=`sed -n '/alarm='$start'&amp/p' /tmp/tmp_rtp_epg.raw | sed -n '1p' | cut -d" " -f1`
				else
					jetzt_zeile="9"
				fi
				[ $VORSCHAU = "3" ] && sed -e 1,$jetzt_zeile's/<TD><[^<>]*>/&~'$FARBE_EPG'/' /tmp/tmp_rtp_epg.raw | sed -n /"[RA]><\/TD>"/p | sed -n 1,$(expr $EPGMAX \* 2)p | sed -e s/"<[^<>]*>"/"_"/g | sed 'N;s/\n//' | sed -n y/",'"/"  "/p | sed -e s/^"[0-9]* ____"/"ACTION=\&"/ | sed -e 's/&nbsp;.*nbsp;__\([0-9]*\) __\(.*\)__$/  \2,\/var\/plugins\/remote_timer.sh EPG_2 \1/' >> /tmp/remote_epg.flx
				[ $VORSCHAU = "4" ] && sed 1,$jetzt_zeile'd' /tmp/tmp_rtp_epg.raw | sed -n /"[RA]><\/TD>"/p | sed -n 1,$(expr $EPGMAX \* 2)p | sed -e s/"<[^<>]*>"/"_"/g | sed 'N;s/\n//' | sed -n y/",'"/"  "/p | sed -e s/^"[0-9]* ____"/"ACTION=\&"/ | sed -e 's/&nbsp;.*nbsp;__\([0-9]*\) __\(.*\)__$/  \2,\/var\/plugins\/remote_timer.sh EPG_2 \1/' >> /tmp/remote_epg.flx
				if [ $VORSCHAU -ge "5" ]; then
					if [ ! -s $start ]; then
						sec_vorbei=$(expr `date +%s` - $start)
						vorbei=`expr $sec_vorbei'00' \/ $(echo "$sendung" | cut -d" " -f3) \/ 5`
						teil_1=$(echo "|" | sed -e 's/|/&/'$vorbei)
						teil_2=$(echo "." | sed -e 's/./&/'`expr 20 - $vorbei`)"|"
					else
						teil_1=""; teil_2=""
					fi
					[ $VORSCHAU = "5" ] && sed -e $(expr $jetzt_zeile + 2)'s/<\/font>/  '$teil_1$teil_2'&/' /tmp/tmp_rtp_epg.raw | sed -e 1,$jetzt_zeile's/<TD><[^<>]*>/&~'$FARBE_EPG'/' | sed -n /"[RA]><\/TD>"/p | sed -n 1,$(expr $EPGMAX \* 2)p | sed -e s/"<[^<>]*>"/" "/g -e s/"[0-9]*     "/"COMMENT="/ -e s/"&nbsp;"/""/g | sed -n y/",'"/"  "/p | sed -e 's/^\([0-9]*\)   \(.*\)  $/ACTION=\&\2,\/var\/plugins\/remote_timer.sh EPG_2 \1/' -e 's/ *$//' -e 's/=&[*+-]/=\& /' >> /tmp/remote_epg.flx
					[ $VORSCHAU = "6" ] && sed -e $(expr $jetzt_zeile + 2)'s/<\/font>/  '$teil_1$teil_2'&/' /tmp/tmp_rtp_epg.raw | sed 1,$jetzt_zeile'd' | sed -n /"[RA]><\/TD>"/p | sed -n 1,$(expr $EPGMAX \* 2)p | sed -e s/"<[^<>]*>"/" "/g -e s/"[0-9]*     "/"COMMENT="/ -e s/"&nbsp;"/""/g | sed -n y/",'"/"  "/p | sed -e 's/^\([0-9]*\)   \(.*\)  $/ACTION=\&\2,\/var\/plugins\/remote_timer.sh EPG_2 \1/' -e 's/ *$//' -e 's/=&[*+-]/=\& /' >> /tmp/remote_epg.flx
				fi
			fi
			echo "COMMENT=*\nCOMMENT=Info:  Es sind `grep -c 'type=5' /tmp/remote_epg.raw` EPG-Datens~atz verf~ugbar.\nCOMMENT=Plugin-Einstellung:  maximal $EPGMAX Datenz~atze\nCOMMENT=Plugin-Version:  $VERSION~T      - by rich -"  >> /tmp/remote_epg.flx
			#echo "COMMENT=Verarbeitungszeit:  $(expr `date +%s` - $SEC_START) Sekunden"  >> /tmp/remote_epg.flx
		fi
	echo "COMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\n" >> /tmp/remote_epg.flx
	;;
	"EPG_2")
		msgbox size=32 absolute=1 select=" Timer setzen ,EPG-Info...,EXIT" title="EPG-Timer-Aufnahme" msg="~cSoll f~ur diese Sendung der Timer gesetzt werden ?~n~s~n~c$BOX2_NAME"
		select_t=$?
		if [ $select_t = 2 ]; then
			event_strg=$(sed -n $2p /tmp/remote_epg.raw | cut -d">" -f 2 | sed -e 's/.* HREF=//')
			TASTE_T="Timer setzen"
			epg_info
		fi
		if [ $select_t = 1 ]; then
			timer_string=$(sed -n $(expr $2 - 3)p /tmp/remote_epg.raw | cut -d\" -f 2 | cut -b 16- | sed -e s/"amp;"/""/g)
			if [ `date +%s` -le $(echo $timer_string | cut -d\& -f 4 | cut -b 6-) ]; then
				timer_setzen
			else
				msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Diese Sendung ist leider schon Vergangenheit !!!"
			fi
		fi
	;;
	"BOUQUET")
		wget -q -Y off -O /tmp/remote_bouquet.raw http://localhost/control/getbouquets
		[ -e /tmp/remote_epg.flx ] && rm /tmp/remote_*.flx
		if [ -s $2 ]; then
			echo "COMMENT=Alle Bouquets" > /tmp/remote_epg.flx
			sed -n y/",'"/"  "/p /tmp/remote_bouquet.raw | sed -e 's/^\([0-9]*\) \(.*\)$/ACTION=\&\2,\/var\/plugins\/remote_timer.sh CHANNEL \1/' -e 's/=&[*+-]/=\& /' >> /tmp/remote_epg.flx
		else
			echo "COMMENT=Timer manuell setzen...    Alle Bouquets" > /tmp/remote_epg.flx
			sed -n y/",'"/"  "/p /tmp/remote_bouquet.raw | sed -e 's/^\([0-9]*\) \(.*\)$/ACTION=\&~'$FARBE_CH'\2,\/var\/plugins\/remote_timer.sh CHANNEL \1 '${2:-""}'/' -e 's/=&[*+-]/=\& /' >> /tmp/remote_epg.flx
		fi
	;;
	"CHANNEL")
		wget -q -Y off -O /tmp/remote_channel.raw http://localhost/control/getbouquet?bouquet=$2&mode=TV
		[ -e /tmp/remote_epg.flx ] && rm /tmp/remote_*.flx
		if [ -s $3 ]; then
			echo "COMMENT=Bouquet - $(sed -n y/","/" "/"$2"p /tmp/remote_bouquet.raw)" > /tmp/remote_epg.flx
			sed -n y/",'"/"  "/p /tmp/remote_channel.raw | sed -e 's/^\([0-9]*\) \([0-9a-f]*\) \(.*\)$/ACTION=\&\1  \3,\/var\/plugins\/remote_timer.sh EPG \2/' -e 's/=&[*+-]/=\& /' >> /tmp/remote_epg.flx
		else
			echo "COMMENT=Timer manuell setzen...    $(sed -n y/","/" "/"$2"p /tmp/remote_bouquet.raw)" > /tmp/remote_epg.flx
			sed -n y/",'"/"  "/p /tmp/remote_channel.raw | sed -e 's/^\([0-9]*\) \([0-9a-f]*\) \(.*\)$/ACTION=\&~'$FARBE_CH'\1  \3,\/var\/plugins\/remote_timer.sh MANUELL EPG_0 \2/' -e 's/=&[*+-]/=\& /' >> /tmp/remote_epg.flx
		fi
		echo "COMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\n" >> /tmp/remote_epg.flx
		rm /tmp/remote_bouquet.raw
	;;
	"TIMER")
		if [ ! -s $2 ]; then
			sed -n $2p /tmp/remote-timer.raw | grep -q 'align=center>Umschalten<\/TD>' && EPGINFO=" EPG-Info... "
			sed -n $2p /tmp/remote-timer.raw | grep -q 'align=center>Aufnahme<\/TD>' && MODIFY="~Andern..." && EPGINFO=" EPG-Info... " && [ -s /var/tuxbox/config/remote_box.conf ] && SENDTO="Kopie..." && EPGINFO="EPG-Info..."
			msgbox size=32 absolute=1 order=5 select="L~oschen,$MODIFY,$SENDTO,$EPGINFO,EXIT" title="Remote-Timer Info" msg="~cSoll dieser Timer gel~oscht werden ?"
			select_t=$?
			TIMER_NR=$(sed -n $(expr $2 + 1)p /tmp/remote-timer.raw | cut -d= -f 6- | cut -d\" -f 1)
			if [ $select_t = 2 -o $select_t = 3 ]; then
				timer_modify() {
					ad=$(echo $MODIFY_DATEN | cut -b -2); amo=$(echo $MODIFY_DATEN | cut -b 3,4); ay=$(echo $MODIFY_DATEN | cut -b 5,6,7,8); ah=$(echo $MODIFY_DATEN | cut -b 9,10); ami=$(echo $MODIFY_DATEN | cut -b 11,12)
					sd=$(echo $MODIFY_DATEN | cut -b 13,14); smo=$(echo $MODIFY_DATEN | cut -b 15,16); sy=$(echo $MODIFY_DATEN | cut -b 17,18,19,20); sh=$(echo $MODIFY_DATEN | cut -b 21,22); smi=$(echo $MODIFY_DATEN | cut -b 23-)
					rep=`sed -n 's/^<option value=\"\([0-9]\+\)\" selected>.*/\1/p' /tmp/tmp_rtp_modify`
					wd=`sed -n 's/.*\"wd\" value=\"\([X-]\+\)\" .*/\1/p' /tmp/tmp_rtp_modify`
					repcount=`sed -n 's/.*\"repcount\" value=\"\([0-9]\+\)\" .*/\1/p' /tmp/tmp_rtp_modify`
				}
				timeOut
				wget -q -Y off -O /tmp/tmp_rtp_modify "http://$LOGIN$IP_BOX2/fb/timer.dbox2?action=modify-form&id=$TIMER_NR"
				wget -q -Y off -O /tmp/tmp_rtp_kopie "http://$LOGIN$IP_BOX2/control/timer"
				kill $!
				[ -s /tmp/tmp_rtp_modify ] && MODIFY_TIMER=$(sed -n '/<NOBR>/p' /tmp/tmp_rtp_modify | sed -e 's/^[^v]*value=\"//g' -e 's/\" [^v]*value=\"//g' -e 's/\" .*//g' | sed 'N;s/\n//' | sed 'N;s/\n//')
				if [ -n "$MODIFY_TIMER" ] && [ -s /tmp/tmp_rtp_kopie ]; then
					if [ $select_t = 2 ]; then
						MODIFY_DATEN=$(input c=22 l='Start-Datum ##.##.####       Zeit ##:## Uhr                       Stopp-Datum ##.##.####       Zeit ##:## Uhr' t='Aufnahme-Timer  Nr. '$TIMER_NR d=$MODIFY_TIMER)
						if [ -n "$MODIFY_DATEN"  ]; then
							echo "$MODIFY_DATEN" | grep -q '[0-9]\{24\}'
							if [ $? = 0 ]; then
								timer_modify
								timer_option
								timer_string=?'action=modify&id='$TIMER_NR'&ad='$ad'&amo='$amo'&ay='$ay'&ah='$ah'&ami='$ami'&sd='$sd'&smo='$smo'&sy='$sy'&sh='$sh'&smi='$smi'&rep='$rep'&wd='$wd'&repcount='$repcount''
								TIMER_INFO="ge~andert"
								timer_setzen
							else
								msgbox size=32 title="Remote-Timer Info" msg="~cFehler bei der Eingabe !!!~n~s~n~cBitte alle Felder ausf~ullen."
							fi
						fi
					else
						CH_NAME=`sed -n '/^'$TIMER_NR' /p' /tmp/tmp_rtp_kopie | cut -d " " -f 8-`
						if [ -n "$CH_NAME" ]; then
							AUSWAHL_BOX=`sed -e 's/.*,grep -q ='$IP_BOX2'$ \/var.*/>>>/g' /var/tuxbox/config/remote_box.conf | sed -e '{s/^SHELLRESOFF=-&/  /;s/,\/var\/plugins.*/ /;s/^COMMENT=\*$/_\n_\n_\n_\n_/}' | sed 'NNs/\n[^_]/,/g' | sed 'NNNs/\n[^_]/,/g' | sed -e 's/[>]\+//g' -e 's/^  / /' | sed -n '1p'`
							if [ -n "$AUSWAHL_BOX" ]; then
								msgbox size=31 absolute=1 order=1 select="$AUSWAHL_BOX" title="Aufnahme-Timer kopieren" msg="~cBitte die Ziel-Box ausw~ahlen."
								select_k=$?
								if [ $select_k != 0 ]; then
									MODIFY_DATEN="$MODIFY_TIMER"
									timer_modify
									QUELL_NAME="$BOX2_NAME"; QUELL_IP="$IP_BOX2"; QUELL_LOGIN="$LOGIN"
									[ -e /tmp/remote_timer_chlist1 ] && rm /tmp/remote_timer_chlist1
									[ -e /tmp/remote_timer_chlist ] && mv /tmp/remote_timer_chlist /tmp/remote_timer_chlist1
									ZIELBOX=`sed -n $select_k'p' /var/tuxbox/config/remote_box.conf | sed -e 's/.*_timer.sh SETUP BOX_IP //' -e 's/,grep -q =.*//'`
									BOX2_NAME=`sed -n $select_k'p' /var/tuxbox/config/remote_box.conf | sed -e '{s/^SHELLRESOFF=-\&//;s/,\/var\/plugins.*//}'`
									IP_BOX2=`echo "$ZIELBOX" | sed -e 's/ \".*//'`
									LOGIN=`echo "$ZIELBOX " | cut -d " " -f 2- | sed -e 's/^\"\(.*\)\" $/\1/'`
									TIMER_KOPIE=1; TIMER_INFO=kopiert; BOX_KOPIE=Ziel
									T_KOPIE=?'action=new&type=5&ad='$ad'&amo='$amo'&ay='$ay'&ah='$ah'&ami='$ami'&sd='$sd'&smo='$smo'&sy='$sy'&sh='$sh'&smi='$smi'&rs=0&rep='$rep'&wd='$wd'&repcount='$repcount'&channel_id='
									timer_setzen
									BOX2_NAME="$QUELL_NAME"; IP_BOX2="$QUELL_IP"; LOGIN="$QUELL_LOGIN"
									[ -e /tmp/remote_timer_chlist ] && rm /tmp/remote_timer_chlist
									[ -e /tmp/remote_timer_chlist1 ] && mv /tmp/remote_timer_chlist1 /tmp/remote_timer_chlist
								fi
							else
								msgbox size=32 title="Remote-Timer Info" msg="~cEs ist keine weiter Remote-Box verf~ugbar."
							fi
						else
							msgbox size=32 title="Remote-Timer Info" msg="~cBei der Verarbeitung der Timerdaten ist ein Fehler aufgetreten.~n~cBitte zuvor die Timerliste neu einlesen."
						fi
					fi
				else
					msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Remote-Box antwortet nicht oder fehlerhaft !!!~n~s~n~c$BOX2_NAME"
				fi
			fi
			if [ $select_t = 4 ]; then
				event_strg=$(sed -n $2p /tmp/remote-timer.raw | cut -d\" -f 18)
				if [ "$event_strg" = "" ]; then
					timeOut
					wget -q -Y off -O /tmp/tmp_rtp_timer "http://$LOGIN$IP_BOX2/fb/timer.dbox2"
					kill $!
					event_strg=$(sed -n $2p /tmp/tmp_rtp_timer | cut -d\" -f 18)
				fi
				TASTE_T="Timer l~oschen"
				epg_info
			fi
			if [ $select_t = 1 ]; then
				timeOut
				wget -q -Y off -O /tmp/tmp_rtp_info "http://$LOGIN$IP_BOX2/control/timer?action=remove&id=$TIMER_NR"
				kill $!
				if [ -s /tmp/tmp_rtp_info ]; then
					if [ `cat /tmp/tmp_rtp_info` = "ok" ]; then
						msgbox size=32 title="Remote-Timer Info" popup="~cDer Timer wurde gel~oscht !!!~n~s~n~c$BOX2_NAME"
						TIMER_R=1
					else
						msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Remote-Box antwortet mit ERROR !!!~n~n~cTimer konnte nicht gel~oscht werden."
					fi
				else
					msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Remote-Box antwortet nicht !!!~n~n~cTimer konnte nicht gel~oscht werden.~n~s~n~c$BOX2_NAME"
				fi
				rm /tmp/tmp_rtp_info
			fi
			if [ -s $TIMER_R ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
		fi
		timeOut
		wget -q -Y off -O /tmp/remote-timer.raw "http://$LOGIN$IP_BOX2/fb/timer.dbox2"
		kill $!
		echo "COMMENT=Stand:  `date +%d"."%m". "%H:%M` - $BOX2_NAME" > /tmp/remote-timer.flx
		if [ -s /tmp/remote-timer.raw ]; then
			sed = /tmp/remote-timer.raw | sed 'N;s/\n/ /' | sed -n '{/<TR><TD.*r>/p' | sed -n 'y/,/ /p}' | sed -e '{s/<\/A>$//;s/<BR>/: /;s/<[^<>]*>/_/g;s/&#x221E;/oo/;s/Aufnahme__/&\nCOMMENT=/;s/Umschalten__/&\nCOMMENT=/;s/Erinnerung__/&\nCOMMENT=Infotext: /;s/Standby__/&\nCOMMENT=/;s/hren__/&\nCOMMENT=Plugin: /}' | sed -e 's/^\([0-9]*\) \(.*\)$/\2,\/var\/plugins\/remote_timer.sh TIMER \1/' | sed -e '{s/^__/ACTION=\&/;s/__/ /g;s/ [0-9][0-9]\.[0-9][0-9]\. / - /;s/ _/ /;s/NT=[*+-]/NT= /}' >> /tmp/remote-timer.flx
			if [ $(grep -c '$' /tmp/remote-timer.raw) -le 25 ]; then
				echo "COMMENT=\nCOMMENT=Auf dieser Remote-Box sind keine\nCOMMENT=Timerdaten vorhanden." >> /tmp/remote-timer.flx
				rm /tmp/remote-timer.raw
			fi
		else
			echo "COMMENT=\nCOMMENT=Fehler:  Die Remote-Box antwortet nicht !!!" >> /tmp/remote-timer.flx
			rm /tmp/remote-timer.raw
		fi
		echo "COMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\nCOMMENT=\n" >> /tmp/remote-timer.flx
	;;
	"MANUELL")
		if [ ! -s $3 ]; then
			channel_id=$3; kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
		else
			if [ ${2:-""} = 0 ]; then
				kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
			else
				if [ -e /tmp/remote_kanal.flx ]; then
					. /tmp/remote_kanal.flx
				else
					kanal=`sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
				fi
			fi
		fi
		if [ ${2:-""} != 0 ]; then
			msgbox size=32 absolute=1 select="Weiter..., Sender ausw~ahlen..." title="Manuelle Timer-Programmierung" msg="~cSender:  $kanal~n~s~n~c$BOX2_NAME"
			select=$?
		else
			select=1
		fi
		if [ $select = 1 ]; then
			START_DATEN=$(input c=22 l='Start-Datum ##.##.####       Zeit ##:## Uhr                       Stopp-Datum --.--.----       Zeit --:-- Uhr' t='Manuelle Timer-Programmierung' d=`date +%d%m%Y%H%M`)
			if [ -n "$START_DATEN" ]; then
				echo "$START_DATEN" | grep -q '[0-9]\{12\}'
				if [ $? = 0 ]; then
					ad=$(echo $START_DATEN | cut -b -2); amo=$(echo $START_DATEN | cut -b 3,4); ay=$(echo $START_DATEN | cut -b 5,6,7,8); ah=$(echo $START_DATEN | cut -b 9,10); ami=$(echo $START_DATEN | cut -b 11-)
					STOP_DATEN=$(input c=22 l='Start-Datum '$ad'.'$amo'.'$ay'       Zeit '$ah':'$ami' Uhr                       Stopp-Datum ##.##.####       Zeit ##:## Uhr' t='Manuelle Timer-Programmierung' d=$START_DATEN)
					if [ -n "$STOP_DATEN" ]; then
						echo "$STOP_DATEN" | grep -q '[0-9]\{12\}'
						if [ $? = 0 ]; then
							sd=$(echo $STOP_DATEN | cut -b -2); smo=$(echo $STOP_DATEN | cut -b 3,4); sy=$(echo $STOP_DATEN | cut -b 5,6,7,8); sh=$(echo $STOP_DATEN | cut -b 9,10); smi=$(echo $STOP_DATEN | cut -b 11-)
							rep=0; wd=-------; repcount=0
							if [ ${2:-""} != 0 ]; then
								timer_option
							fi
							[ $rep != 0 -a $repcount != 0 ] && T_ANZAHL="~n~cAnzahl Wiederholungen:  "`echo $repcount | sed 's/0/oo/'`
							T_OPTION=`echo $rep | sed '{s/256/Wochentage  '$wd'/;s/0/einmal/;s/1/t~aglich/;s/2/w~ochentlich/;s/3/2-w~ochentlich/;s/4/4-w~ochentlich/;s/5/monatlich/}`
							msgbox size=32 select=" Timer setzen ,EXIT" title="Manuelle Timer-Aufnahme" msg="~cSender:  $kanal~n~s~n~cStart   $ad.$amo.$ay - $ah:$ami Uhr~n~cStopp  $sd.$smo.$sy - $sh:$smi Uhr~n~n~cOption:  $T_OPTION${T_ANZAHL:-""}~n~s~n~c$BOX2_NAME"
							if [ $? = 1 ]; then
								timer_string=?'action=new&type=5&ad='$ad'&amo='$amo'&ay='$ay'&ah='$ah'&ami='$ami'&sd='$sd'&smo='$smo'&sy='$sy'&sh='$sh'&smi='$smi'&channel_id='$channel_id'&rs=0&rep='$rep'&wd='$wd'&repcount='$repcount''
								timer_setzen
							fi
						else
							select="NEU"
						fi
					fi
				else
					select="NEU"
				fi
				if [ $select = "NEU" ]; then
					msgbox size=32 select=" Neue Eingabe... ,EXIT" title="Remote-Timer Info" msg="~cFehler bei der Eingabe !!!~n~s~n~cBitte alle Felder ausf~ullen."
					if [ $? = 1 ]; then
						rm /tmp/tmp_rtp_*
						if [ ${2:-""} != 0 ]; then
							if [ ! -s $3 ]; then
								/var/plugins/remote_timer.sh MANUELL EPG_0 $3
							else
								/var/plugins/remote_timer.sh MANUELL ${3:-""}
							fi
						else
							/var/plugins/remote_timer.sh MANUELL 0
						fi
						exit 0;
					fi
				fi
			fi
		fi
		if [ $select = 2 ]; then
			rm /tmp/tmp_rtp_*
			/var/plugins/remote_timer.sh BOUQUET EPG_0; exit 0
		fi
	;;
	"SUCHE")
		[ -s /tmp/remote_suche.dat ] && . /tmp/remote_suche.dat
		SUCHWORT=$(input k=1 l='@@@@@@@@@@@@' t='Schl~usselwort  suchen' d="${SUCHWORT:-" "}" | sed -n 'y/\/;$@()/######/p' | sed -e 's/^$/_/' -e 's/ *$//')
		if [ "$SUCHWORT" != _ ]; then
			echo "$SUCHWORT" | grep -q '#'
			if [ $? = 1 ]; then
				echo "$SUCHWORT" | grep -q '...'
				if [ $? = 0 ]; then
					SUCHWORT2=$(echo "$SUCHWORT" | sed -e 's/\./\\./g' | sed -n 'y/,*/ ./p')
					echo "SUCHWORT=\"$SUCHWORT\"" > /tmp/remote_suche.dat
					echo "COMMENT=Suche nach Schl~usselwort:  $SUCHWORT" > /tmp/remote_suche.flx
					sed -n '2p' /tmp/remote_epg.flx | grep -q '^COMMENT='
					if [ $? = 0 ]; then
						sed '1d' /tmp/remote_epg.flx | sed 'N;s/\n//' | sed -e '{s/'\'/~A/g;s/'\'/~O/g;s/'\'/~U/g;s/'\'/~a/g;s/'\'/~o/g;s/'\'/~u/g;s/'\'/~z/g;s/'\'/~d/g}' | grep -i 'ACTION=\&.*'"$SUCHWORT2"'.*,\/var\/' | sed -e 's/ACTION=\&/\n&~B# ~S/' >> /tmp/remote_suche.flx
					else
						sed -e '{s/'\'/~A/g;s/'\'/~O/g;s/'\'/~U/g;s/'\'/~a/g;s/'\'/~o/g;s/'\'/~u/g;s/'\'/~z/g;s/'\'/~d/g}' /tmp/remote_epg.flx | grep -i '^ACTION=\&.*'"$SUCHWORT2"'.*,\/var\/' | sed -e 's/^ACTION=\&/&~B# ~S/' >> /tmp/remote_suche.flx
					fi
					echo "COMMENT=*" >> /tmp/remote_suche.flx
					if [ $(grep -c '$' /tmp/remote_suche.flx) -le 2 ]; then
						rm /tmp/remote_suche.flx
						SUCHE_INFO="~cDie Suche ergab keine ~Ubereinstimmung.~n~s~n~cSchl~usselwort:  ~B$SUCHWORT"
					fi
				else
					SUCHE_INFO="~cFehler:  Das Schl~usselwort war leider zu kurz.~n~cBitte mehr als 2 Zeichen eingeben."
				fi
			else
				SUCHE_INFO="~cFehler:  Bitte nur die folgenden Zeichen verwenden.~n~n~c~BA-Z  a-z  0-9  .  ,  :  -  +~n~n~c~B*~S  ein beliebiges Zeichen"
			fi
			if [ "$SUCHE_INFO" != "" ]; then
				msgbox size=32 absolute=1 select=" Neue Suche... ,EXIT" title="Remote-Timer Info" msg="$SUCHE_INFO"
				if [ $? = 1 ]; then
					rm /tmp/tmp_rtp_*
					/var/plugins/remote_timer.sh SUCHE; exit 0
				fi
			fi
		fi
	;;
	"REMOTE")
		if [ $2 = "ZAPPEN" ]; then
			timeOut
			REMOTE_ID=`wget -Y off -O - -q "http://$LOGIN$IP_BOX2/control/zapto"`
			kill $!
			if [ ! -s /tmp/remote_timer_chlist ]; then
				timeOut
				wget -q -Y off -O /tmp/remote_timer_chlist "http://$LOGIN$IP_BOX2/control/channellist"
				kill $!
			fi
			if [ ${3:-""} = "HOLEN" ]; then
				INFO_Q=Remote; INFO_C=Master
				ZAPNAME=`sed -n 's/^'$REMOTE_ID' //p' /tmp/tmp_rtp_channellist | sed -n '1p'`
				[ "$ZAPNAME" = "" ] && ZAPNAME=`sed -n 's/^'$REMOTE_ID' //p' /tmp/remote_timer_chlist | sed -n '1p'`
				wget -q -Y off -O /tmp/tmp_rtp_info_rec "http://localhost/control/setmode?status"
			else
				INFO_Q=Master; INFO_C=Remote
				ZAPNAME=$(sed -n 's/^'$channel_id' //p' /tmp/tmp_rtp_channellist | sed -n '1p')
				[ "$ZAPNAME" = "" ] && ZAPNAME=`sed -n 's/^'$channel_id' //p' /tmp/remote_timer_chlist | sed -n '1p'`
				timeOut
				wget -q -Y off -O /tmp/tmp_rtp_info_rec "http://$LOGIN$IP_BOX2/control/setmode?status"
				kill $!
			fi
			[ "$ZAPNAME" = "" ] && ZAPNAME="--= unbekannter Sender =--"
			if [ ! -s $REMOTE_ID ] && [ -s /tmp/remote_timer_chlist ] && [ -s /tmp/tmp_rtp_info_rec ]; then
				if [ $channel_id = $REMOTE_ID ]; then
					msgbox size=32 absolute=1 title="Aktueller Sender der "$INFO_Q"-Box" msg="~c$ZAPNAME~n~s~n~cMaster- und Remote-Box laufen schon~n~cauf dem gleichen Sender.~n~s~n~c$BOX2_NAME"
				else
					ZAP_BOX() {
						msgbox size=32 absolute=1 select="Umschalten,EXIT" title="Aktueller Sender der "$INFO_Q"-Box" msg="~c$ZAPNAME~n~s~n~cSoll die "$INFO_C"-Box jetzt auf diesen Sender~n~cumgeschalten werden ?~n~s~n~c$BOX2_NAME"
						select_zap=$?
						if [ $select_zap = 1 ]; then
							grep -q "on" /tmp/tmp_rtp_info_rec
							if [ $? = 0 ]; then
								msgbox size=32 absolute=1 select="Umschalten,EXIT" title=$INFO_C"-Box Info" msg="~c~FACHTUNG !!!~n~s~n~cDie "$INFO_C"-Box befindet sich im Aufnahme-Mode.~n~cDas Umschalten des Senders kann die~n~cAufnahme besch~adigen.~n~s~n~c$BOX2_NAME"
								select_zap=$?
							fi
						fi
						if [ $select_zap != 1 ]; then
							rm /tmp/tmp_rtp_*; exit 0
						fi
					}
					if [ ${3:-""} = "HOLEN" ]; then
						grep -q "^$REMOTE_ID " /tmp/tmp_rtp_channellist
						if [ $? = 0 ]; then
							ZAP_BOX
							sleep 1 && wget -q -Y off -O /dev/null "http://localhost/control/zapto?$REMOTE_ID" &
						else
							INFO=CH_FEHLER
						fi
					else
						grep -q "^$channel_id " /tmp/remote_timer_chlist
						if [ $? = 0 ]; then
							ZAP_BOX
							timeOut
							wget -q -Y off -O /dev/null "http://$LOGIN$IP_BOX2/control/zapto?$channel_id"
							INFO_ZAP=$?
							kill $!
							[ $INFO_ZAP = 1 ] && INFO="KEIN"
						else
							INFO=CH_FEHLER
						fi
					fi
					if [ ${INFO:-""} = "CH_FEHLER" ]; then
						[ -e /tmp/remote_timer_chlist ] && rm /tmp/remote_timer_chlist
						msgbox size=32 absolute=1 title="Aktueller Sender der "$INFO_Q"-Box" msg="~c$ZAPNAME~n~s~n~cDieser Sender ist auf der "$INFO_C"-Box laut~n~cihrer Senderliste nicht empfangbar.~n~s~n~c$BOX2_NAME"
					fi
				fi
			else
				INFO="KEIN"
			fi
		fi
		if [ $2 = "TIMER_START" ]; then
			timeOut
			wget -q -Y off -O /tmp/tmp_rtp_info_rec "http://$LOGIN$IP_BOX2/control/setmode?status"
			kill $!
			if [ -s /tmp/tmp_rtp_info_rec ]; then
				grep -q "on" /tmp/tmp_rtp_info_rec
				if [ $? = 0 ]; then
					msgbox size=32 absolute=1 select=" Weiter... ,EXIT" title="Remote-Timer Info" msg="~c~FACHTUNG !!!~n~s~n~cDie Remote-Box befindet sich schon im Aufnahme-Mode.~n~cDiese Aufnahme kann dadurch besch~adigt werden.~n~s~n~c$BOX2_NAME"
					if [ $? != 1 ]; then
						rm /tmp/tmp_rtp_*; exit 0
					fi
				fi
				stop_min=$(input l='in ### Minuten' t='Remote-Box Aufnahme wieder stoppen' d=60 | sed -e 's/^0\+//' -e 's/ //g')
				if [ ! -s $stop_min ]; then
					timer_sec=`expr $stop_min \* 60`
					timer_start=`date +%s`
					timer_stop=`expr $timer_start + $timer_sec`
					timer_string=?'action=new&type=5&alarm='$timer_start'&stop='$timer_stop'&channel_id='$channel_id'&rs=0'
					timer_setzen
				else
					msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Die Eingabe der Stopp-Zeit war fehlerhaft.~n~n~cDie Aufnahme wurde nicht gestartet."
				fi
			else
				INFO="KEIN"
			fi
		fi
		if [ $2 = "TIMER_STOP" ]; then
			timeOut
			wget -q -Y off -O /tmp/tmp_rtp_timer5 "http://$LOGIN$IP_BOX2/control/timer"
			INFO1=$?
			kill $!
			timer_5=`sed -n '/^[0-9]\+ 5 /p' /tmp/tmp_rtp_timer5`
			if [ "$timer_5" != "" ]; then
				line=1
				timer_line=$(echo "$timer_5" | sed -n 1p)
				while [ "$timer_line" != "" ]; do
					timer_start=$(echo "$timer_line" | cut -d" " -f6)
					if [ `date +%s` -gt $timer_start ]; then
						timer_stop=$(echo "$timer_line" | cut -d" " -f7)
						if [ `date +%s` -lt $timer_stop ]; then
							timer_aktiv=1
							timer_num=`echo "$timer_line" | cut -d" " -f1`
							msgbox size=32 select=" L~oschen , Belassen " title="Aktiver Remote-Box Timer" msg="Der Timer Nr. $timer_num  ist noch $(expr $(expr $timer_stop - `date +%s`) / 60 | sed -e 's/^0$/weniger als eine Minute /' -e 's/^1$/eine Minute /' -e 's/^[0-9]\+$/& Minuten /')aktiv.~n~n~cSender:  `echo "$timer_line" | sed -e 's/.* '$timer_stop' //'`~n~s~n~c$BOX2_NAME"
							if [ $? = "1" ]; then
								timeOut
								wget -q -Y off -O /tmp/tmp_rtp_info "http://$LOGIN$IP_BOX2/control/timer?action=remove&id=$timer_num"
								kill $!
								if [ -s /tmp/tmp_rtp_info ]; then
									if [ `cat /tmp/tmp_rtp_info` != "ok" ]; then
										msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Remote-Box antwortet mit ERROR !!!~n~n~cTimer konnte nicht gel~oscht werden.~n~s~n~c$BOX2_NAME"
									fi
								else
									INFO2="KEIN_ANTWORT"
								fi
							fi
						fi
					fi
					line=`expr $line + 1`
					timer_line=$(echo "$timer_5" | sed -n "$line"p)
				done
			fi
			if [ ${INFO2:-""} = "KEIN_ANTWORT" ]; then
				msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Remote-Box antwortet nicht !!!~n~n~cTimer konnte nicht gel~oscht werden.~n~s~n~c$BOX2_NAME"
			else
				if [ $INFO1 = 0 ]; then
					[ ${timer_aktiv:-0} != 1 ] && msgbox size=32 title="Remote-Timer Info" msg="~cEs ist zurzeit keine Timer-Aufnahme aktiv.~n~s~n~c$BOX2_NAME"
				else
					INFO="KEIN"
				fi
			fi
		fi
		if [ $2 = "FB_OFF" ]; then
			timeOut
			wget -q -Y off -O /tmp/tmp_rtp_info "http://$LOGIN$IP_BOX2/control/rc?lock"
			kill $!
			if [ -s /tmp/tmp_rtp_info ]; then
				if [ `cat /tmp/tmp_rtp_info` = "ok" ]; then
					msgbox size=32 title="Remote-Timer Info" popup="~cDie Fernbedienung der Remote-Box wurde gesperrt.~n~s~n~c$BOX2_NAME"
				else
					INFO="ERROR"
				fi
			else
				INFO="KEIN"
			fi
		fi
		if [ $2 = "FB_ON" ]; then
			timeOut
			wget -q -Y off -O /tmp/tmp_rtp_info "http://$LOGIN$IP_BOX2/control/rc?unlock"
			kill $!
			if [ -s /tmp/tmp_rtp_info ]; then
				if [ `cat /tmp/tmp_rtp_info` = "ok" ]; then
					[ ! -s $3 ] && INFO_OFF="~n~cund die der Master-Box wird jetzt gesperrt"
					msgbox size=32 timeout=4 title="Remote-Timer Info" popup="~cDie Fernbedienung der Remote-Box wurde freigegeben${INFO_OFF:-""}.~n~s~n~c$BOX2_NAME"
					[ ! -s $3 ] && wget -q -Y off -O /dev/null http://localhost/control/rc?lock
				else
					INFO="ERROR"
				fi
			else
				INFO="KEIN"
			fi
		fi
		if [ $2 = "SDOWN" ]; then
			if [ -s $3 ]; then
				AUS_1=shutdown; AUS_INFO="ausgeschaltet"
			else
				[ $3 = "STANDBY_ON" ] && AUS_1=standby?on && AUS_INFO="in Standby ausgeschaltet"
				[ $3 = "STANDBY_OFF" ] && AUS_1=standby?off && AUS_INFO="aus Standby eingeschaltet"
				[ $3 = "REBOOT" ] && AUS_1=reboot && AUS_INFO="neu gestartet"
			fi
			timeOut
			wget -q -Y off -O /tmp/tmp_rtp_info_rec "http://$LOGIN$IP_BOX2/control/setmode?status"
			kill $!
			grep -q "on" /tmp/tmp_rtp_info_rec
			if [ $? = 0 ]; then
				if [ ${3:-""} = "STANDBY_OFF" ]; then
					msgbox size=32 absolute=1 select=" Weiter ,EXIT" title="Remote-Timer Info" msg="~c~FACHTUNG !!!~n~s~n~cDie Remote-Box befindet sich im Aufnahme-Mode.~n~s~n~c$BOX2_NAME"
					if [ $? != 1 ]; then
						rm /tmp/tmp_rtp_*; exit 0
					fi
				else
					msgbox size=32 title="Remote-Timer Info" msg="~c~FACHTUNG !!!~n~s~n~cDie Remote-Box befindet sich im Aufnahme-Mode.~n~cSie kann nicht $AUS_INFO werden.~n~s~n~c$BOX2_NAME"
					rm /tmp/tmp_rtp_*; exit 0
				fi
			fi
			timeOut
			wget -q -Y off -O /tmp/tmp_rtp_info "http://$LOGIN$IP_BOX2/control/$AUS_1"
			kill $!
			if [ -s /tmp/tmp_rtp_info ]; then
				if [ `cat /tmp/tmp_rtp_info` = "ok" ]; then
					msgbox size=32 title="Remote-Timer Info" popup="~cDie Remote-Box wird $AUS_INFO.~n~s~n~c$BOX2_NAME"
				else
					INFO="ERROR"
				fi
			else
				INFO="KEIN"
			fi
		fi
		if [ ${INFO:="-"} = "KEIN" ]; then
			[ -e /tmp/remote_timer_chlist ] && rm /tmp/remote_timer_chlist
			msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Die Remote-Box antwortet nicht !!!~n~s~n~c$BOX2_NAME"
		fi
		if [ $INFO = "ERROR" ]; then
			msgbox size=32 title="Remote-Timer Info" msg="~cFehler:  Die Remote-Box antwortet mit ERROR !!!~n~s~n~c$BOX2_NAME"
		fi
	;;
	SETUP)
		BOXMAX=${BOXMAX:-3}
		if [ $2 = "IP_NEU" ]; then
			msgbox size=32 absolute=1 select="IP-Adresse..., Web-Adresse... " title="Neue Remote-Box Adresse"  msg="~cBitte den Adresstyp ausw~ahlen."
			ADRESSE=$?
			if [ $ADRESSE = 1 ]; then
				IP_raw=`echo ."$IP_BOX2" | sed -e 's/[0-9]\+/000&/g' -e 's/\.0\{,3\}\([0-9]\{3\}\)/\1/g'`
				echo "$IP_raw" | grep -q '[0-9]\{12\}$'
				[ $? = 1 ] && IP_raw=`ifconfig | sed -n 's/^.*inet addr\:/./p' | sed -n 1p | cut -d" " -f1 | sed -e 's/[0-9]\+/000&/g' -e 's/\.0\{,3\}\([0-9]\{3\}\)/\1/g'`
				IP_BOX2_NEU=$(input l='###.###.###.###' t='Neue Remote-Box IP-Adresse' d=${IP_raw:-192168000055} | sed -e 's/\(^...\)\(...\)\(...\)\(...$\)/\1.\2.\3.\4/' -e 's/   /0/g' -e 's/ //g' -e 's/^0\{1,2\}\([0-9]\{1,3\}\)/\1/' -e 's/\.0\{1,2\}\([0-9]\{1,3\}\)/.\1/g' -e 's/0.0.0.0//')
			fi
			if [ $ADRESSE = 2 ]; then
				msgbox size=32 absolute=1 select=" Weiter... ,EXIT" title="Neue Remote-Box Web-Adresse"  msg="~cAchtung: Bei dem Zugriff auf eine Remote-Box ~uber~n~cdas Internet wird der Datenverkehr nicht verschl~usselt.~n~cDies gilt insbesondere f~ur die ~Ubertragung ihrer~n~cZugangsdaten auf das Web-Interface."
				if [ $? = 1 ]; then
					IP_BOX2_NEU=$(input k=1 c=23 l='@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@f~ur":"ist";"verwendbar' t='Neue Remote-Box Web-Adresse' d=$IP_BOX2 | sed -e 's/ \+$//' -e 's/[,]//g' | sed -n 'y/;/:/p')
				else
					rm /tmp/tmp_rtp_*; exit 0
				fi
			fi
			if [ ! -s $IP_BOX2_NEU ]; then
				msgbox size=32 absolute=1 select="Nein, Zugangsdaten... " title="Passwortschutz f~ur Web-Interface"  msg="~cIst auf dieser Remote-Box das Web-Interface~n~cPasswortgesch~utzt ?"
				LOGIN_1=$?
				[ $LOGIN_1 = 2 ] && LOGIN_NEU=$(input k=1 c=23 l='Benutzer @@@@@@@@@@@@@@Passwort @@@@@@@@@@@@@@' t='Bitte Zugangsdaten eingeben' | sed -e 's/\(^..............\)\(..............$\)/\1:\2@/' -e 's/ \+:/:/' -e 's/ \+@/@/g')
			else
				[ ${3:-""} = "START" ] && rm /var/tuxbox/config/remote_timer.conf
				rm /tmp/tmp_rtp_*; exit 0
			fi
			if [ $ADRESSE != 1 -o 2 ] && [ -s $LOGIN_NEU ] && [ $LOGIN_1 != 1 ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
			[ -s $3 ] && [ -e /tmp/remote-timer.flx -o -e /tmp/remote_timer_chlist ] && rm /tmp/remote*timer* &
			LOGIN=`echo $LOGIN_NEU | sed -e 's/^:@$//'`
			IP_BOX2=$IP_BOX2_NEU
		fi
		if [ $2 = "EPGMAX_NEU" ]; then
			EPGMAX_NEU=$(input l='Maximal ###' t='1 - 999   EPG-Datens~atze' d=$EPGMAX | sed -e 's/ //g' -e 's/^0*//')
			if [ -s $EPGMAX_NEU ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
			EPGMAX=$EPGMAX_NEU
		fi
		if [ $2 = "EPGINFO_SIZE" ]; then
			EPGINFO_S_NEU=$(input l='Schriftgr~o~ze ##' t='EPG-Info  Schriftgr~o~ze  25 - 32  (Default 29)' d=$EPGINFO_S | sed -e 's/ //g')
			if [ ${EPGINFO_S_NEU:=0} -le 24 -o $EPGINFO_S_NEU -ge 33 ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
			EPGINFO_S=$EPGINFO_S_NEU
		fi
		if [ $2 = "VORSCHAU_NEU" ]; then
			msgbox size=31 absolute=1 order=3 default=$VORSCHAU select="1,2,3,4,5,6" title="Ansicht der EPG-Vorschauliste" msg=" 1  -  einzeilige einfache EPG-Vorschau~n 2 -  zweizeilige einfache EPG-Vorschau~n~s~n 3 -~$FARBE_EPG  einzeilig & beendete Sendungen farbig~n 4 -  einzeilig & beendete Sendungen ausblenden~n~s~n 5 -~$FARBE_EPG  zweizeilig & beendete Sendungen farbig~n 6 -  zweizeilig & beendete Sendungen ausblenden"
			VORSCHAU_NEU=$?
			if [ $VORSCHAU_NEU = 0 ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
			if [ $VORSCHAU_NEU = 3 -o $VORSCHAU_NEU = 5 ]; then
				msgbox size=31 absolute=1 order=5 default=$(echo "$FARBE_EPG" | sed -n y/"RGBY"/"1234"/p) select="~RRot,~GGr~un,~BBlau,~YGelb" title="Farbauswahl f~ur beendete Sendungen" msg="~cHier kann f~ur die EPG-Vorschauliste die gew~unschte Farbe~n~cder beendeten Sendungen eingestellt werden.~n~s~n~$FARBE_EPG~cDies ist die aktuelle Farbeinstellung."
				FARBE_EPG_NEU=$(echo "$?" | sed -n y/"1234"/"RGBY"/p)
				if [ $FARBE_EPG_NEU = 0 ]; then
					rm /tmp/tmp_rtp_*; exit 0
				fi
				FARBE_EPG=$FARBE_EPG_NEU
			fi
			VORSCHAU=$VORSCHAU_NEU
		fi
		if [ $2 = "COLOR_NEU" ]; then
			msgbox size=32 absolute=1 order=5 default=$(echo "$FARBE_CH" | sed -n y/"SRGBY"/"12345"/p) select="Standard,~RRot,~GGr~un,~BBlau,~YGelb" title="Farbe f~ur Senderauswahl - Manueller Timer" msg="~cHier kann die gew~unschte Farbe der Senderauswahl f~ur die~n~c\"Manuelle Timer-Programmierung...\" eingestellt werden.~n~s~n~$FARBE_CH~cDies ist die aktuelle Farbeinstellung."
			FARBE_CH_NEU=$(echo "$?" | sed -n y/"12345"/"SRGBY"/p | sed -e 's/0//')
			if [ -s $FARBE_CH_NEU ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
			FARBE_CH=$FARBE_CH_NEU
		fi
		if [ $2 = "TIMEOUT_NEU" ]; then
			SCRIPT_TIMEOUT_NEU=$(input l='##-Sekunden' t='5 - 99 Sekunden  Plugin-Timeout' d=$SCRIPT_TIMEOUT | sed -e 's/ //g' -e 's/^0*//')
			if [ -s $SCRIPT_TIMEOUT_NEU ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
			if [ $SCRIPT_TIMEOUT_NEU -le 4 ]; then
				SCRIPT_TIMEOUT=10
			else
				SCRIPT_TIMEOUT=$SCRIPT_TIMEOUT_NEU
			fi
		fi
		if [ $2 = "BOX_IP" ]; then
			[ -e /tmp/remote-timer.flx -o -e /tmp/remote_timer_chlist ] && rm /tmp/remote*timer* &
			IP_BOX2=$3; LOGIN="$4"
		fi
		if [ $2 = "BOX_MAX" ]; then
			BOXMAX_NEU=$(input l='# Remote-Boxen' t='1 - 9    Remote-Box(en)' d=$BOXMAX | sed -e 's/ //' -e 's/0//')
			if [ -s $BOXMAX_NEU ]; then
				rm /tmp/tmp_rtp_*; exit 0
			fi
			BOXMAX=$BOXMAX_NEU
			if [ -e /var/tuxbox/config/remote_box.conf ]; then
				remote_box=`sed -n 1,"$BOXMAX"p /var/tuxbox/config/remote_box.conf | sed /^"COMMENT=\*"$/d`
				echo "$remote_box\nCOMMENT=*" > /var/tuxbox/config/remote_box.conf
			fi
		fi
		if [ ${3:-""} = "BOX_NEU" ]; then
			BOX2_NAME_NEU=$(input k=1 c=15 l='@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@' t='Name der Remote-Box' d='Remote-Box  '$IP_BOX2_NEU | sed -n 'y/,*/ ~/p' | sed -e 's/^[+-]/ /' -e 's/[\ ]\{30\}/'$IP_BOX2_NEU'/g' -e 's/ *$//')
			if [ "$BOX2_NAME_NEU" != "" ]; then
				[ -e /var/tuxbox/config/remote_box.conf ] && BOXEN_ALT=`sed /^"COMMENT=\*"$/d /var/tuxbox/config/remote_box.conf`
				remote_box="SHELLRESOFF=-&$BOX2_NAME_NEU,/var/plugins/remote_timer.sh SETUP BOX_IP $IP_BOX2 \"$LOGIN\",grep -q ="$IP_BOX2"$ /var/tuxbox/config/remote_timer.conf\n${BOXEN_ALT:-""}"
				echo "$remote_box" | sed -n 1,"$BOXMAX"p | sed /^$/d > /var/tuxbox/config/remote_box.conf
				echo "COMMENT=*" >> /var/tuxbox/config/remote_box.conf
				echo Neue Box angelegt!
			fi
		else
			echo "IP_BOX2=$IP_BOX2\nLOGIN=\"$LOGIN\"\nVORSCHAU=$VORSCHAU\nEPGMAX=$EPGMAX\nSCRIPT_TIMEOUT=$SCRIPT_TIMEOUT\nBOXMAX=$BOXMAX\nFARBE_CH=$FARBE_CH\nFARBE_EPG=$FARBE_EPG\nEPGINFO_S=$EPGINFO_S" > /var/tuxbox/config/remote_timer.conf
			echo Daten gespeichert!
		fi
	;;
	*)
	echo "\nZur Installation bitte readme.txt lesen !\n"
	;;
esac
rm /tmp/tmp_rtp_* &
exit 0;
